﻿using System;
using System.Drawing;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace UltraGridRecursiveIssue
{
    public class TestForm : Form
    {
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new TestForm());
        }

        public TestForm()
        {
            Size = new Size(610, 410);

            var grid1 = new UltraGrid { DataSource = new[] { 1, 2, 3, 4, 5 }, Dock = DockStyle.Fill };
            var grid2 = new UltraGrid { DataSource = new[] { 1, 2, 3, 4, 5 }, Dock = DockStyle.Fill };

            var container1 = new ContainerControl { Dock = DockStyle.Fill };
            var container2 = new ContainerControl { Dock = DockStyle.Fill };
            container1.Controls.Add(grid1);
            container2.Controls.Add(grid2);

            var container3 = new ContainerControl { Location = new Point(0, 0), Size = new Size(500, 200) };
            var container4 = new ContainerControl { Location = new Point(0, 200), Size = new Size(500, 200) };
            container3.Controls.Add(container1);
            container4.Controls.Add(container2);
            Controls.AddRange(new[] { container3, container4 });
        }
    }
}
